> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth/login/callback

## OpenAPI

````json POST /v1/auth/login/callback
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth/login/callback": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/v1AuthLoginCallbackPostRequest"
              }
            }
          }
        },
        "responses": {
          "302": {
            "description": "Redirects to portal with SSO token"
          },
          "401": {
            "description": "Authentication failed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AuthErrorPostResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Invalid saml response"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthLoginCallbackPostRequest": {
        "type": "object",
        "properties": {
          "SAMLResponse": {
            "type": "string",
            "example": "PHNhbWxwOlJlc3BvbnNl..."
          },
          "RelayState": {
            "type": "string",
            "example": "information-to-relay"
          }
        },
        "required": [
          "SAMLResponse"
        ]
      },
      "v1AuthErrorPostResponse": {
        "type": "object",
        "properties": {
          "auth": {
            "type": "boolean",
            "example": false
          },
          "token": {
            "type": "string",
            "nullable": true,
            "example": null
          },
          "error": {
            "type": "string",
            "example": "email not provided"
          }
        },
        "required": [
          "auth",
          "token",
          "error"
        ]
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

